<?php
/**
 * grainyflex functions and definitions
 *
 * @package grainyflex
 * @since grainyflex 1.0
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 *
 * @since grainyflex 1.0
 */
 /*Social buttons*/


add_action('admin_menu', 'grainyflex_theme_page');

function grainyflex_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['grainyflex_settings']) )
	{
		$options = array (  'twitter_link', 'facebook_link','youtube_link','googleplus_link','vimeo_link','rss_link' );
		
		foreach ( $options as $opt )
		{
			delete_option ( 'grainyflex_'.$opt, $_POST[$opt] );
			add_option ( 'grainyflex_'.$opt, $_POST[$opt] );	
		}			
		
		 
	}
	add_theme_page(('grainyflex Options'), ('grainyflex Options'), 'edit_themes', basename(__FILE__), 'grainyflex_settings');
}
function grainyflex_settings ()
{?>


<div class="wrap">
	<h2>grainyflex Options Panel</h2>
	
<form method="post" action="">
	<table class="form-table">
		<!-- General settings -->
		<tr>
			<th colspan="2"><strong>General Settings</strong></th>
		</tr>
		
			<th scope="row"><label for="twitter_link">Twitter link</label></th>
			<td>
				<input name="twitter_link" type="text" id="twitter_link" value="<?php echo get_option('grainyflex_twitter_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="facebook_link">Facebook link</label></th>
			<td>
				<input name="facebook_link" type="text" id="facebook_link" value="<?php echo get_option('grainyflex_facebook_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="youtube_link">Youtube link</label></th>
			<td>
				<input name="youtube_link" type="text" id="youtube_link" value="<?php echo get_option('grainyflex_youtube_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
						<th scope="row"><label for="googleplus_link">GooglePlus link</label></th>
			<td>
				<input name="googleplus_link" type="text" id="googleplus_link" value="<?php echo get_option('grainyflex_googleplus_link'); ?>" class="regular-text" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="vimeo_link">Vimeo link</label></th>
			<td>
				<input name="vimeo_link" type="text" id="vimeo_link" value="<?php echo get_option('grainyflex_vimeo_link'); ?>" class="regular-text" />
			</td>
		</tr>
		
		<tr valign="top">
			<th scope="row"><label for="vimeo_link">RSS link</label></th>
			<td>
				<input name="rss_link" type="text" id="rss_link" value="<?php echo get_option('grainyflex_rss_link'); ?>" class="regular-text" />
			</td>
		</tr>
		
		
	</table>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Save Changes" />
		<input type="hidden" name="grainyflex_settings" value="save" style="display:none;" />
	</p>
</form>

</div>
<?php }
if ( ! isset( $content_width ) )
	$content_width = 640; /* pixels */

/*
 * Load Jetpack compatibility file.
 */
require( get_template_directory() . '/inc/jetpack.php' );

if ( ! function_exists( 'grainyflex_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 *
 * @since grainyflex 1.0
 */
function grainyflex_setup() {

	/**
	 * Custom template tags for this theme.
	 */
	require( get_template_directory() . '/inc/template-tags.php' );

	/**
	 * Custom functions that act independently of the theme templates
	 */
	require( get_template_directory() . '/inc/extras.php' );

	/**
	 * Customizer additions
	 */
	require( get_template_directory() . '/inc/customizer.php' );

	/**
	 * Make theme available for translation
	 * Translations can be filed in the /languages/ directory
	 * If you're building a theme based on grainyflex, use a find and replace
	 * to change 'grainyflex' to the name of your theme in all the template files
	 */
	load_theme_textdomain( 'grainyflex', get_template_directory() . '/languages' );

	/**
	 * Add default posts and comments RSS feed links to head
	 */
	add_theme_support( 'automatic-feed-links' );

	/**
	 * Enable support for Post Thumbnails
	 */
	add_theme_support( 'post-thumbnails' );

	/**
	 * This theme uses wp_nav_menu() in one location.
	 */
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'grainyflex' ),
	) );

	/**
	 * Enable support for Post Formats
	 */
	add_theme_support( 'post-formats', array( 'aside', 'image', 'video', 'quote', 'link' ) );
}
endif; // grainyflex_setup
add_action( 'after_setup_theme', 'grainyflex_setup' );

/**
 * Setup the WordPress core custom background feature.
 *

 */


/**
 * Register widgetized area and update sidebar with default widgets
 *
 * @since grainyflex 1.0
 */
function grainyflex_widgets_init() {
	register_sidebar( array(
		'name' => __( 'Sidebar', 'grainyflex' ),
		'id' => 'sidebar-1',
		'before_widget' => '<div class="widget-top"></div><aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<h1 class="widget-title">',
		'after_title' => '</h1>',
	) );
}
add_action( 'widgets_init', 'grainyflex_widgets_init' );

/**
 * Enqueue scripts and styles
 */

 
function grainyflex_scripts() {
	wp_enqueue_style( 'style', get_stylesheet_uri() );

	wp_enqueue_script( 'small-menu', get_template_directory_uri() . '/js/small-menu.js', array( 'jquery' ), '20120206', true );
	

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if ( is_singular() && wp_attachment_is_image() ) {
		wp_enqueue_script( 'keyboard-image-navigation', get_template_directory_uri() . '/js/keyboard-image-navigation.js', array( 'jquery' ), '20120202' );
	}
}
add_action( 'wp_enqueue_scripts', 'grainyflex_scripts' );


/**
 * Adds custom header image support the grainyflex theme
 */
	$custom_header_support = array(
		'default-image'          => get_template_directory_uri() . '/headers/001.png',
		'width' => apply_filters( 'grainyflex_header_image_width', 480 ),
		'height' => apply_filters( 'grainyflex_header_image_height', 100 ),
		'header-text'           => false,

	       
	);	
	
	
	
	add_theme_support( 'custom-header', $custom_header_support );

	
	register_default_headers( array(
		'bluesky' => array (
                'url' => '%s/headers/001.png',
                'thumbnail_url' => '%s/headers/thumbnails/001_thumb.jpg',
                'description' => __( 'Metal', 'grainyflex' )
            ),
                'grass' => array (
                'url' => '%s/headers/002.png',
                'thumbnail_url' => '%s/headers/thumbnails/002_thumb.jpg',
                'description' => __( 'Texture', 'grainyflex' )
            ),
            	'wave' => array (
                'url' => '%s/headers/003.png',
                'thumbnail_url' => '%s/headers/thumbnails/003_thumb.jpg',
                'description' => __( 'Letterpress', 'grainyflex' )
            ),
	) );

	

add_theme_support( 'custom-background', array(
	'default-image'          => get_stylesheet_directory_uri() . '/images/bg.png',
	'default-color' => '1e1e1e'
) ); 
add_editor_style('custom-editor-style.css');

add_theme_support('post-thumbnails');


// THIS LINKS THE THUMBNAIL TO THE POST PERMALINK

add_filter( 'post_thumbnail_html', 'my_post_image_html', 10, 3 );

function my_post_image_html( $html, $post_id, $post_image_id ) {

	$html = '<a href="' . get_permalink( $post_id ) . '" title="' . esc_attr( get_post_field( 'post_title', $post_id ) ) . '">' . $html . '</a>';

	return $html;
}


// Copyright in footer
function grainyflex_copyright() {
global $wpdb;
$copyright_dates = $wpdb->get_results("
SELECT
YEAR(min(post_date_gmt)) AS firstdate,
YEAR(max(post_date_gmt)) AS lastdate
FROM
$wpdb->posts
WHERE
post_status = 'publish'
");
$output = '';
if($copyright_dates) {
$copyright = "&copy; " . $copyright_dates[0]->firstdate;
if($copyright_dates[0]->firstdate != $copyright_dates[0]->lastdate) {
$copyright .= '-' . $copyright_dates[0]->lastdate;
}
$output = $copyright;
}
return $output;
}