<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package grainyflex
 * @since grainyflex 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title(); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site">
	<?php do_action( 'before' ); ?>
	<div id="headerwrapper">
	
	<div id="headercent">
	
		
	<header id="masthead" class="site-header" role="banner">
	
		
		
		<?php if ( get_header_image() ) : ?>
    
    <div id="logo-image">
      <a href="<?php echo home_url( '/' ); ?>"><img src="<?php header_image(); ?>" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="<?php bloginfo( 'name' ); ?>" /></a>
    </div><!-- end of #logo-image -->
    
    <?php else: // header image was removed ?>
    
    <div id="logo-text">
      <span class="site-name"><a href="<?php echo home_url( '/' ); ?>" title="<?php wp_title(); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span>
      <span class="site-description"><?php bloginfo( 'description' ); ?></span>
    </div><!-- end of #logo -->
    
    <?php endif; // header image was removed (again) ?>


	</header><!-- #masthead .site-header -->
		</div><!--/headercent -->
		<div id="topdiv"></div>
		<div id="prenav"></div>
		<div id="navwrap">
		<nav role="navigation" class="site-navigation main-navigation">
			<h1 class="assistive-text"><?php _e( 'Menu', 'grainyflex' ); ?></h1>
			<div class="assistive-text skip-link"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'grainyflex' ); ?>"><?php _e( 'Skip to content', 'grainyflex' ); ?></a></div>

			<?php wp_nav_menu ( array( 'theme_location' => 'primary' ) ); ?>
		</nav><!-- .site-navigation .main-navigation -->
		</div><!--/navwrap -->
	</div><!--/headerwrapper -->
<div id="container">
<div id="center" class="column">
<div id="shadow"></div>
<div id="main" class="site-main">